// EEPROM Programmer
// Chris Ward, 1998-2000

// hardware.h
//  - Parallel port access
//  - EEPROM programming/reading code

#ifndef HARDWARE_H
#define HARDWARE_H

// constants for setting device type
enum dev_code { DEV_2817, DEV_2864, DEV_2764, DEV_27128, DEV_27256 };


void setuplpt(unsigned short port);
void ProgramChip(unsigned char *buf);
void ReadChip(unsigned char *buf);
void VerifyChip(unsigned char *buf);
void writebyte(unsigned long addr, unsigned char byte);
unsigned char readbyte(unsigned long addr);

#endif
